import { DocumentModel as InnerDocumentModel } from '@alilc/lowcode-designer';
import { documentSymbol, detectingSymbol } from './symbols';
export default class Detecting {
    private readonly [documentSymbol];
    private readonly [detectingSymbol];
    constructor(document: InnerDocumentModel);
    /**
     * hover 指定节点
     * @param id 节点 id
     */
    capture(id: string): void;
    /**
     * hover 离开指定节点
     * @param id 节点 id
     */
    release(id: string): void;
    /**
     * 清空 hover 态
     */
    leave(): void;
}
