import { documentSymbol, detectingSymbol } from './symbols';

var Detecting = /*#__PURE__*/function () {
  function Detecting(document) {
    this[documentSymbol] = void 0;
    this[detectingSymbol] = void 0;
    this[documentSymbol] = document;
    this[detectingSymbol] = document.designer.detecting;
  }
  /**
   * hover 指定节点
   * @param id 节点 id
   */


  var _proto = Detecting.prototype;

  _proto.capture = function capture(id) {
    this[detectingSymbol].capture(this[documentSymbol].getNode(id));
  }
  /**
   * hover 离开指定节点
   * @param id 节点 id
   */
  ;

  _proto.release = function release(id) {
    this[detectingSymbol].release(this[documentSymbol].getNode(id));
  }
  /**
   * 清空 hover 态
   */
  ;

  _proto.leave = function leave() {
    this[detectingSymbol].leave(this[documentSymbol]);
  };

  return Detecting;
}();

export { Detecting as default };