"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _symbols = require("./symbols");

var Detecting = /*#__PURE__*/function () {
  function Detecting(document) {
    this[_symbols.documentSymbol] = void 0;
    this[_symbols.detectingSymbol] = void 0;
    this[_symbols.documentSymbol] = document;
    this[_symbols.detectingSymbol] = document.designer.detecting;
  }
  /**
   * hover 指定节点
   * @param id 节点 id
   */


  var _proto = Detecting.prototype;

  _proto.capture = function capture(id) {
    this[_symbols.detectingSymbol].capture(this[_symbols.documentSymbol].getNode(id));
  }
  /**
   * hover 离开指定节点
   * @param id 节点 id
   */
  ;

  _proto.release = function release(id) {
    this[_symbols.detectingSymbol].release(this[_symbols.documentSymbol].getNode(id));
  }
  /**
   * 清空 hover 态
   */
  ;

  _proto.leave = function leave() {
    this[_symbols.detectingSymbol].leave(this[_symbols.documentSymbol]);
  };

  return Detecting;
}();

exports["default"] = Detecting;