"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _lowcodeEditorCore = require("@alilc/lowcode-editor-core");

var Setters = /*#__PURE__*/function () {
  function Setters() {}

  var _proto = Setters.prototype;

  /**
   * 获取指定 setter
   * @param type
   * @returns
   */
  _proto.getSetter = function getSetter(type) {
    return (0, _lowcodeEditorCore.getSetter)(type);
  }
  /**
   * 获取已注册的所有 settersMap
   * @returns
   */
  ;

  _proto.getSettersMap = function getSettersMap() {
    return (0, _lowcodeEditorCore.getSettersMap)();
  }
  /**
   * 注册一个 setter
   * @param typeOrMaps
   * @param setter
   * @returns
   */
  ;

  _proto.registerSetter = function registerSetter(typeOrMaps, setter) {
    return (0, _lowcodeEditorCore.registerSetter)(typeOrMaps, setter);
  };

  return Setters;
}();

exports["default"] = Setters;