import _createClass from "@babel/runtime/helpers/createClass";
import { dropLocationSymbol } from './symbols';
import Node from './node';

var DropLocation = /*#__PURE__*/function () {
  function DropLocation(dropLocation) {
    this[dropLocationSymbol] = void 0;
    this[dropLocationSymbol] = dropLocation;
  }

  DropLocation.create = function create(dropLocation) {
    if (!dropLocation) return null;
    return new DropLocation(dropLocation);
  };

  _createClass(DropLocation, [{
    key: "target",
    get: function get() {
      return Node.create(this[dropLocationSymbol].target);
    }
  }]);

  return DropLocation;
}();

export { DropLocation as default };