import { hotkey } from '@alilc/lowcode-editor-core';

var Hotkey = /*#__PURE__*/function () {
  function Hotkey() {}

  var _proto = Hotkey.prototype;

  /**
   * 绑定快捷键
   * @param combos 快捷键，格式如：['command + s'] 、['ctrl + shift + s'] 等
   * @param callback 回调函数
   * @param action
   * @returns
   */
  _proto.bind = function bind(combos, callback, action) {
    hotkey.bind(combos, callback, action);
    return function () {
      hotkey.unbind(combos, callback, action);
    };
  };

  return Hotkey;
}();

export { Hotkey as default };